# Uses of Interface
jdk.incubator.foreign.CLinker.VaList.Builder

Packages that use CLinker.VaList.Builder
Package
Description
jdk.incubator.foreign
Classes to support low-level and efficient foreign memory/function access, directly from Java.

## Uses of CLinker.VaList.Builder in jdk.incubator.foreign

Methods in jdk.incubator.foreign that return CLinker.VaList.Builder
Modifier and Type
Method
Description
`CLinker.VaList.Builder`
CLinker.VaList.Builder.`vargFromAddress(ValueLayout layout, Addressable value)`
Adds a native value represented as a `MemoryAddress` to the C `va_list` being constructed.
`CLinker.VaList.Builder`
CLinker.VaList.Builder.`vargFromDouble(ValueLayout layout, double value)`
Adds a native value represented as a `double` to the C `va_list` being constructed.
`CLinker.VaList.Builder`
CLinker.VaList.Builder.`vargFromInt(ValueLayout layout, int value)`
Adds a native value represented as an `int` to the C `va_list` being constructed.
`CLinker.VaList.Builder`
CLinker.VaList.Builder.`vargFromLong(ValueLayout layout, long value)`
Adds a native value represented as a `long` to the C `va_list` being constructed.
`CLinker.VaList.Builder`
CLinker.VaList.Builder.`vargFromSegment(GroupLayout layout, MemorySegment value)`
Adds a native value represented as a `MemorySegment` to the C `va_list` being constructed.
Method parameters in jdk.incubator.foreign with type arguments of type CLinker.VaList.Builder
Modifier and Type
Method
Description
`static CLinker.VaList`
CLinker.VaList.`make(Consumer<CLinker.VaList.Builder> actions, ResourceScope scope)`
Constructs a new `VaList` using a builder (see `CLinker.VaList.Builder`), associated with a given resource scope.